<?php
	$hoy = date("Y-m-d H:i:s");
	
	//CONSULTA PARA NUEVO CLIENTE
	//CONSULTA PARA NUEVO CLIENTE
	if($_POST["titulo"] != ""){
		
		if($_POST["id_juego"] != ""){
			mysqli_query($connect,"UPDATE Juegos SET titulo = '".$_POST["titulo"]."', link = '".$_POST["link"]."', estado = '".$_POST["estado"]."' 
			WHERE id = '".$_POST["id_juego"]."'  ");
			
			include("controllers/subir_documento.php");
			if($_FILES['image'] != ""){
				$archivo = Subir_Documento($_FILES['image']);
				mysqli_query($connect,"UPDATE Juegos SET image = '".$archivo."' WHERE id = '".$_POST["id_juego"]."' ");
			}
			
			$respuesta = '
				<div class="alert alert-success" role="alert" style="margin-top:8px">
				  Información Actualizada.
				</div>
			';
		}
		else{
			
			mysqli_query($connect,"INSERT INTO Juegos (	id_youtuber, titulo, link, estado, created_at) 
			VALUES 
			(1, '".$_POST['titulo']."', '".$_POST["link"]."', '".$_POST["estado"]."', '".$hoy."' ) ");
			$id_reg = mysqli_insert_id($connect);	
				
			include("controllers/subir_documento.php");
			if($_FILES['image'] != ""){
				$archivo = Subir_Documento($_FILES['image']);
				mysqli_query($connect,"UPDATE Juegos SET image = '".$archivo."' WHERE id = '".$id_reg."' ");
			}
			
			$respuesta = '
				<div class="alert alert-success" role="alert" style="margin-top:8px">
					 Información Guardada.
				</div>
			';
		}
		
	}
?>
<?php include("views/layouts/ficha_juego.php"); ?> 
<?php echo $respuesta; ?>



<div align="left" style="padding: 10px 0px;">
	<table width="100%">
    	<tr>
        	<td><h5 style="margin-top: 8px;"><i class="fas fa-users"></i> Juegos</h5></td>
            <td align="right" width="200">
            	<input class="form-control" type="text" placeholder="Búsqueda rápida..." id="buscador" />
            </td>
        </tr>
    </table>
</div>

<div align="right">
	<button type="button" class="btn btn-warning btn-sm btn-block" style="margin-bottom:15px" data-toggle="modal" data-target=".modal_juego" onclick="Setear()">
		<i class="fa fa-plus btn-left"></i> Crear Juego
	</button>
</div>


<table class="table table-bordered table-sm">
	<thead class="thead-dark">
	<tr>
		<th scope="col">#</th>
        <th scope="col" width="150">Imágen</th>
		<th scope="col">Título</th>
        <th scope="col">Youtubers</th>
        <th scope="col">Estado</th>
		<th scope="col" style="width: 75px; text-align:center">
        </th>
	</tr>
	</thead>
    
	<tbody id="tabla_lista">
	<?php
		$count = 1;
		$query = mysqli_query($connect,"SELECT * FROM Juegos ORDER BY id DESC ");
		while($data = mysqli_fetch_array($query)){
			
			$text_estado = '';
			if($data["estado"] == 1){ $text_estado = 'Activo'; }
			if($data["estado"] == 2){ $text_estado = 'Inactivo'; }

			echo '
			<tr>
				<th scope="row">'.$count.'</th>
				<td><img src="http://ganadeuna.com/recursos/'.$data["image"].'" style="width:100%"></td>
				<td>'.$data["titulo"].'</td>
				<td>'.$data["titulo"].'</td>
				
				<td>'.$text_estado.'</td>
				<td align="center">
					<button type="button" class="btn btn-success btn-sm" data-toggle="modal" data-target=".modal_juego" onclick="Ficha('.$data["id"].')">
						<i class="fa fa-edit"></i>
					</button>
					<button type="button" class="btn btn-danger btn-sm"  onclick="Eliminar('.$data["id"].')">
						<i class="fa fa-times"></i>
					</button>
				</td>
			</tr>
			';
			$count++;
					
		}
	?>
	</tbody>
</table>

<script>

$(document).ready(function(){
	$("#buscador").on("keyup", function() {
		var value = $(this).val().toLowerCase();
		$("#tabla_lista tr").filter(function() {
		  $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
		});
	});	  
});

var api = 'http://ganadeuna.com/admin/api/';

function Ficha(id){
	jQuery.ajax({
		url: api+"ficha_juego.php",
		type:'post',
		data: {id: id, url:"?pg=candidatos"},
		}).done(function (resp){
			$("#formulario").html(resp);
		})
		.fail(function(resp) {
			console.log(resp);
		})
		.always(function(resp){
		}
	);
}
var activar = false;
function Eliminar_Candidato(id){
	if(activar == false){
		$("#modal_body").html('Estas a punto de eliminar un candidato, esta acción es irreversible ¿Estás seguro?<br><br>');
		$("#modal_body").append('<button type="button" class="btn btn-danger" style="margin-right: 10px;" onclick="activar = true; Eliminar_Candidato('+id+')">Eliminar</button>');
		$("#modal_general").modal('show');
	}
	else{
	
		jQuery.ajax({
			url: api+"eliminar_juego.php",
			type:'post',
			data: {id: id, url:"?pg=juegos"},
			}).done(function (resp){
				$("#xscript").html(resp);
			})
			.fail(function(resp) {
				console.log(resp);
			})
			.always(function(resp){
			}
		);
		
	}
}

var formulario = $("#formulario").html();
function Setear(){
	$("#formulario").html(formulario);
}

function Del_Imagen(elem,tipo){
	$( elem).parent().html('<input type="file" class="form-control" name="image" required>');
}


</script>

<script src="js/functions.js"></script>